Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 81 lines (64 sloc) 1.767 kB
ba57575 Remove references to ActionDispatch::Routing::Routes in favor of Rail…
Carl Lerche authored
1 source 'http://rubygems.org'
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
2
13df581 @tenderlove using AREL from the environment if it exists
tenderlove authored
3 if ENV['AREL']
4 gem "arel", :path => ENV['AREL']
5 else
6 gem "arel", :git => "git://github.com/rails/arel.git"
7 end
8
50215f9 @josevalim Rely on Rack::Session stores API for more compatibility across the Ru…
josevalim authored
9 gem "rack", :git => "git://github.com/rack/rack.git"
6690d66 @josevalim Rename config.cookie_secret to config.secret_token and pass it as con…
josevalim authored
10 gem "rails", :path => File.dirname(__FILE__)
9f01dff Get rails tests running on bundler 0.9
Carl Lerche authored
11
12 gem "rake", ">= 0.8.7"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
13 gem "mocha", ">= 0.9.8"
cad8bef @spastorino Bump up rdoc to 2.5.10
spastorino authored
14 gem "rdoc", ">= 2.5.10"
63bb639 @fxn requires horo 1.0.2
fxn authored
15 gem "horo", ">= 1.0.2"
a584b4c @jeremy Get rack from rails/rack.git. Introduce ci-only deps.
jeremy authored
16
cc81b04 @jeremy AR perf test: switch to mysql2, bundle faker and rbench
jeremy authored
17 # for perf tests
18 gem "faker"
19 gem "rbench"
2a820f3 @jeremy Include addressable for AR perf bench
jeremy authored
20 gem "addressable"
cc81b04 @jeremy AR perf test: switch to mysql2, bundle faker and rbench
jeremy authored
21
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
22 # AS
23 gem "memcache-client", ">= 1.8.5"
24
25 # AM
26 gem "text-format", "~> 1.0.0"
27
28 platforms :mri_18 do
61001e7 @spastorino group :mri deleted in favor of RUBY_ENGINE and RUBY_VERSION usage.
spastorino authored
29 gem "system_timer"
30 gem "ruby-debug", ">= 0.10.3"
cc81b04 @jeremy AR perf test: switch to mysql2, bundle faker and rbench
jeremy authored
31 gem 'ruby-prof'
61001e7 @spastorino group :mri deleted in favor of RUBY_ENGINE and RUBY_VERSION usage.
spastorino authored
32 end
33
29b54a4 @spastorino Bring back ruby-debug19 for Ruby versions < 1.9.3
spastorino authored
34 platforms :mri_19 do
35 # TODO: Remove the conditional when ruby-debug19 supports Ruby >= 1.9.3
36 gem "ruby-debug19" if RUBY_VERSION < "1.9.3"
37 end
38
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
39 platforms :ruby do
2218493 @jeremy Bundle json and yajl-ruby gems for AS::JSON testing
jeremy authored
40 gem 'json'
41 gem 'yajl-ruby'
55028a7 @spastorino Bump up nokogiri to 1.4.3.1
spastorino authored
42 gem "nokogiri", ">= 1.4.3.1"
5714438 @spastorino Unforce memcache from AS
spastorino authored
43
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
44 # AR
fcb2301 @spastorino Bump up nokogiri, memcache-client, sqlite3-ruby, fcgi, mail and tzinfo
spastorino authored
45 gem "sqlite3-ruby", "~> 1.3.1", :require => 'sqlite3'
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
46
47 group :db do
e50bf67 @josevalim Bring pg back.
josevalim authored
48 gem "pg", ">= 0.9.0"
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
49 gem "mysql", ">= 2.8.1"
4726a18 @tenderlove bumping mysql2 requirement
tenderlove authored
50 gem "mysql2", ">= 0.2.6"
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
51 end
2c4fcec @spastorino Gemfile now makes use of platforms calls with blocks instead of elsif…
spastorino authored
52 end
53
54 platforms :jruby do
55 gem "ruby-debug", ">= 0.10.3"
56
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
57 gem "activerecord-jdbcsqlite3-adapter"
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
58
ad13eb7 @spastorino Add a TODO to remove gem "jruby-openssl" when jruby-openssl is merge …
spastorino authored
59 # This is needed by now to let tests work on JRuby
60 # TODO: When the JRuby guys merge jruby-openssl in
61 # jruby this will be removed
ea30da3 @anildigital Add jruby-openssl gem in Gemfile necessary for JRuby
anildigital authored
62 gem "jruby-openssl"
63
c0db784 @nicksieger More accurate JRuby gem requirements
nicksieger authored
64 group :db do
65 gem "activerecord-jdbcmysql-adapter"
66 gem "activerecord-jdbcpostgresql-adapter"
67 end
7789663 Put MySQL and Postgres in an :only block so you can gem bundle --only…
Yehuda Katz authored
68 end
4e3d220 @rsim added dependencies in Gemfile for running ActiveRecord tests with Ora…
rsim authored
69
70 # gems that are necessary for ActiveRecord tests with Oracle database
71 if ENV['ORACLE_ENHANCED_PATH'] || ENV['ORACLE_ENHANCED']
72 platforms :ruby do
73 gem 'ruby-oci8', ">= 2.0.4"
74 end
75 if ENV['ORACLE_ENHANCED_PATH']
76 gem 'activerecord-oracle_enhanced-adapter', :path => ENV['ORACLE_ENHANCED_PATH']
77 else
78 gem "activerecord-oracle_enhanced-adapter", :git => "git://github.com/rsim/oracle-enhanced.git"
79 end
80 end
Something went wrong with that request. Please try again.